Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dioscuri.module.cpu32
Class SegmentFactory

    java.lang.Object
      dioscuri.module.cpu32.SegmentFactory

    public class SegmentFactory

extends java.lang.Object

Author:
  Bram Lohman, Bart Kiers

Nested Class Summary
`static class` | `SegmentFactory.AbstractTSS`
`static class` | `SegmentFactory.CallGate16Bit`
`static class` | `SegmentFactory.CallGate32Bit`
`static class` | `SegmentFactory.GateSegment`

Field Summary
`static int` | `DESCRIPTOR_TYPE_CODE_DATA`
`static Segment` | `NULL_SEGMENT`
`static int` | `TYPE_ACCESSED`
`static int` | `TYPE_CODE`
`static int` | `TYPE_CODE_CONFORMING`
`static int` | `TYPE_CODE_READABLE`
`static int` | `TYPE_DATA_EXPAND_DOWN`
`static int` | `TYPE_DATA_WRITABLE`

Constructor Summary
`SegmentFactory()`

Method Summary
`static Segment` | `createDescriptorTableSegment(Memory memory, int base, int limit)`
`static Segment` | `createProtectedModeSegment(Memory memory, int selector, long descriptor)`
`static Segment` | `createRealModeSegment(Memory memory, int selector)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NULL_SEGMENT

    public static final Segment NULL_SEGMENT

### DESCRIPTOR_TYPE_CODE_DATA

    public static final int DESCRIPTOR_TYPE_CODE_DATA

See Also:
  Constant Field Values

### TYPE_ACCESSED

    public static final int TYPE_ACCESSED

See Also:
  Constant Field Values

### TYPE_CODE

    public static final int TYPE_CODE

See Also:
  Constant Field Values

### TYPE_DATA_WRITABLE

    public static final int TYPE_DATA_WRITABLE

See Also:
  Constant Field Values

### TYPE_DATA_EXPAND_DOWN

    public static final int TYPE_DATA_EXPAND_DOWN

See Also:
  Constant Field Values

### TYPE_CODE_READABLE

    public static final int TYPE_CODE_READABLE

See Also:
  Constant Field Values

### TYPE_CODE_CONFORMING

    public static final int TYPE_CODE_CONFORMING

See Also:
  Constant Field Values

Constructor Detail

### SegmentFactory

    public SegmentFactory()

Method Detail

### createRealModeSegment

    public static Segment createRealModeSegment(Memory memory,
                                                int selector)

  Parameters:
    `memory` -
    `selector` -
  Returns:
    -

### createDescriptorTableSegment

    public static Segment createDescriptorTableSegment(Memory memory,
                                                       int base,
                                                       int limit)

  Parameters:
    `memory` -
    `base` -
    `limit` -
  Returns:
    -

### createProtectedModeSegment

    public static Segment createProtectedModeSegment(Memory memory,
                                                     int selector,
                                                     long descriptor)

  Parameters:
    `memory` -
    `selector` -
    `descriptor` -
  Returns:
    -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD